package org.kne.cloud.network.klalb;

import java.io.IOException;
import java.net.Inet6Address;
import java.net.SocketException;

import org.kne.cloud.network.RawSocket;
import org.kne.cloud.network.RawSocketImpl;
import org.kne.cloud.network.VirtualRawSocket;
import org.kne.cloud.network.ipv6.LoopbackIPv6NetworkLink;
import org.kne.cloud.network.srv6.SRv6Router;

public class KLALBVirtualRawSocket extends VirtualRawSocket {

	public KLALBVirtualRawSocket(LoopbackIPv6NetworkLink controller) {
		super(new KLALBVirtualRawSocketImpl(controller));
	}

	public KLALBVirtualRawSocket(LoopbackIPv6NetworkLink controller,Inet6Address bindAddress) throws  SocketException {
		super(new KLALBVirtualRawSocketImpl(controller),bindAddress);
	}
	public KLALBVirtualRawSocket(LoopbackIPv6NetworkLink controller,Inet6Address bindAddress,int bindProtocol) throws  SocketException {
		super(new KLALBVirtualRawSocketImpl(controller),bindAddress,bindProtocol);
	}
}
